com.google.gwt.dom.client

## Class DOMImplIE9

- java.lang.Object
- - com.google.gwt.dom.client.DOMImpl
  - - com.google.gwt.dom.client.DOMImplStandard
    - - com.google.gwt.dom.client.DOMImplStandardBase
      - - com.google.gwt.dom.client.DOMImplIE9

    class DOMImplIE9
    extends DOMImplStandardBase

IE9 based implementation of `DOMImplStandardBase`.

### Field Summary

### Fields inherited from class com.google.gwt.dom.client.DOMImpl

`impl`

### Constructor Summary

Constructors
Constructor and Description
`DOMImplIE9()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAbsoluteLeft(Element elem)`
`int` `getAbsoluteTop(Element elem)`
`java.lang.String` `getNumericStyleProperty(Style style, java.lang.String name)` Coerce numeric values a string.
`int` `getScrollLeft(Document doc)`
`int` `getScrollLeft(Element elem)`
`int` `getScrollTop(Document doc)`
`int` `getTabIndex(Element elem)`
`boolean` `isOrHasChild(Node parent, Node child)`
`void` `selectRemoveOption(SelectElement select, int index)`
`void` `setScrollLeft(Element elem, int left)`

### Methods inherited from class com.google.gwt.dom.client.DOMImplStandardBase

`createButtonElement, createKeyCodeEvent, createKeyEvent, createKeyPressEvent, createScriptElement, eventGetCurrentTarget, eventGetMouseWheelVelocityY, isRTL`

### Methods inherited from class com.google.gwt.dom.client.DOMImplStandard

`createHtmlEvent, createInputRadioElement, createMouseEvent, dispatchEvent, eventGetButton, eventGetCharCode, eventGetRelatedTarget, eventGetTarget, eventPreventDefault, eventToString, getDocumentScrollingElement, getInnerText, getLegacyDocumentScrollingElement, getNativeDocumentScrollingElement, setInnerText`

### Methods inherited from class com.google.gwt.dom.client.DOMImpl

`buttonClick, createCheckInputElement, createElement, createInputElement, cssClearOpacity, cssFloatPropertyName, cssSetOpacity, eventGetAltKey, eventGetClientX, eventGetClientY, eventGetCtrlKey, eventGetKeyCode, eventGetMetaKey, eventGetRotation, eventGetScale, eventGetScreenX, eventGetScreenY, eventGetShiftKey, eventGetType, eventSetKeyCode, eventStopPropagation, getAttribute, getBodyOffsetLeft, getBodyOffsetTop, getChangedTouches, getFirstChildElement, getInnerHTML, getNextSiblingElement, getNodeType, getParentElement, getPreviousSiblingElement, getStyleProperty, getTagName, getTargetTouches, getTouches, hasAttribute, scrollIntoView, selectAdd, selectClear, selectGetLength, selectGetOptions, setDraggable, setScrollLeft, setScrollTop, toInt32, toString, touchGetClientX, touchGetClientY, touchGetIdentifier, touchGetPageX, touchGetPageY, touchGetScreenX, touchGetScreenY, touchGetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMImplIE9

    DOMImplIE9()

### Method Detail

#### getAbsoluteLeft

    public int getAbsoluteLeft(Element elem)

Overrides:
  `getAbsoluteLeft` in class `DOMImplStandardBase`

#### getAbsoluteTop

    public int getAbsoluteTop(Element elem)

Overrides:
  `getAbsoluteTop` in class `DOMImplStandardBase`

#### getNumericStyleProperty

    public java.lang.String getNumericStyleProperty(Style style,
                                                    java.lang.String name)

Coerce numeric values a string. In IE, some values can be stored as numeric types.

Overrides:
  `getNumericStyleProperty` in class `DOMImpl`

#### getScrollLeft

    public int getScrollLeft(Document doc)

Overrides:
  `getScrollLeft` in class `DOMImpl`

#### getScrollLeft

    public int getScrollLeft(Element elem)

Overrides:
  `getScrollLeft` in class `DOMImplStandardBase`

#### getScrollTop

    public int getScrollTop(Document doc)

Overrides:
  `getScrollTop` in class `DOMImpl`

#### getTabIndex

    public int getTabIndex(Element elem)

Overrides:
  `getTabIndex` in class `DOMImplStandardBase`

#### isOrHasChild

    public boolean isOrHasChild(Node parent,
                                Node child)

Overrides:
  `isOrHasChild` in class `DOMImplStandard`

#### selectRemoveOption

    public void selectRemoveOption(SelectElement select,
                                   int index)

Overrides:
  `selectRemoveOption` in class `DOMImpl`

#### setScrollLeft

    public void setScrollLeft(Element elem,
                              int left)

Overrides:
  `setScrollLeft` in class `DOMImplStandardBase`